{% extends 'base.html' %}
{% load bootstrap3 %}
{% block title %}Issues{% endblock %}

{% block content %}
<strong>Min Time:</strong>{{min_time.time_min__min}} min<br>
<strong>Max Time:</strong>{{max_time.time_min__max}} min<br>
<strong>Avg Time:</strong>{{avg_time.time_min__avg}} min<br>
<hr>
<table class="table">
    <tr><th>#</th><th>Owner</th><th>Solver</th><th>Status</th><th>Category</th><th>Label</th><th>Time spent</th><th>&nbsp;</th></tr>
    {% for issue in issues %}
    <tr>
        <td>{{issue.id}}</td>
        <td>{{issue.owner.username}}</td><td>{{issue.solver.username}}</td><td>{{issue.get_state_display}}</td>
        <td>{{issue.category.label}}</td>
        <td><a href="/issues/{{issue.id}}">{{issue.label}}</a></td>
        <td>{{issue.time_min}}</td>
        {% if user.is_superuser %}
        <td><a href="/issues/{{issue.id}}/edit" class="btn btn-xs btn-primary">edit</a></td>
        {% endif %}
    </tr>
    {% endfor %}
</table>
{% if user.is_superuser %}
<h3>Add new</h3>
<form method="post" action="/issues/new">        
    {% csrf_token %}
    {% bootstrap_form form %}
    {% buttons %}
    <button type="submit" class="btn btn-primary">Save</button>
    {% endbuttons %}    
</form>
{% endif %}
{% endblock %}
